Bug 128247 - Mozilla crashs and burns when you try to save a password using the password manager.
Mozilla crashs and burns when you try to save a password using the password m...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 15:59 EDT by Chris Morrison
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Morrison 2004-07-20 15:59:25 EDT
Description of problem:

When an attempt is made to save a password using Password Manager, you
will be prompted to enter the master password, when you enter this in
the dialog provided and and click OK, Mozilla (and all it's windows)
will just close, with no error.

Version-Release number of selected component (if applicable):

Mozilla 1.6
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6) Gecko/20040510

How reproducible:

Try to save a password using the password manager.

Steps to Reproduce:
1. Open Mozilla and go to http://www.scottishpower.co.uk (This one of
the sites it happened at).
2. Click on the Login button.
3. Enter any e-mail address and password in the boxes and click Enter
(you are not going to log into the site, just test for this bug).
4. A message box should pop up asking you if you want the Password
manager to remember this password for next time you visit this site.
5. Click 'Yes.'
6. If you have already set up your master password you will be
prompted for it now, if not you will be prompted to set it up.
In either case, as soon as you enter your password(s) and click OK
Mozilla and all it's window's will just close without any error message.
  
Actual results:

Mozilla closes unexpectedly.

Expected results:

Password Manager should save the password and Mozilla should continue.

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:56:04 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-28 13:32:59 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.